ALTER TABLE SRC_ACS_TH_UI_E2E_DETAILS_TB ADD (
  NJAVATIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NJAVATIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NJAVATIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NJAVATIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSUITESCRIPTTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSUITESCRIPTTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NSUITESCRIPTTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSUITESCRIPTTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NHEADERTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NHEADERTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NHEADERTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NHEADERTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSQLTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSQLTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NSQLTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSQLTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NPAGEINITTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPAGEINITTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NPAGEINITTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPAGEINITTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NENDTOENDTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NENDTOENDTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NENDTOENDTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NENDTOENDTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSERVERTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSERVERTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NSERVERTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSERVERTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NNONSERVERTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NNONSERVERTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NNONSERVERTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NNONSERVERTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NWORKFLOWTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NWORKFLOWTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NWORKFLOWTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NWORKFLOWTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NPAGELOADTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPAGELOADTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NPAGELOADTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPAGELOADTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NNETWORKTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NNETWORKTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NNETWORKTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NNETWORKTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);

--

ALTER TABLE SRC_ACS_TH_UI_SCRIPT_DETAILS_TB ADD (
  NTOTALTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NTOTALTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NTOTALTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NTOTALTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NRECORDS_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NRECORDS_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NRECORDS_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NRECORDS_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NREQUESTS_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NREQUESTS_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSEARCHES_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSEARCHES_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSQLCALLS_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSQLCALLS_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);

--

ALTER TABLE SRC_ACS_TH_UI_WF_DETAILS_TB ADD (
  NTOTALTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NTOTALTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NTOTALTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NTOTALTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NRECORDS_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NRECORDS_95TH,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NREQUESTS_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NREQUESTS_95TH,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSEARCHES_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSEARCHES_95TH,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,

  NSQLCALLS_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NSQLCALLS_95TH,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);

--

ALTER TABLE SRC_ACS_TH_WS_CONCURRENCY_TB ADD (
  NPEAKCONCURRENCY_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPEAKCONCURRENCY_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NPEAKCONCURRENCY_PCTILE_75 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPEAKCONCURRENCY_PCTILE,'$[*]?(@.key == 75).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NPEAKCONCURRENCY_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NPEAKCONCURRENCY_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);

--

ALTER TABLE SRC_ACS_TH_WS_REST_TB ADD (
  NEXECUTIONTIME_PCTILE_5 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NEXECUTIONTIME_PCTILE,'$[*]?(@.key == 5).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NEXECUTIONTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NEXECUTIONTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NEXECUTIONTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NEXECUTIONTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);

--

ALTER TABLE SRC_ACS_TH_WS_RESTLETS_TB ADD (
  NTOTALTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NTOTALTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NTOTALTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NTOTALTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);

--

ALTER TABLE SRC_ACS_TH_WS_TB ADD (
  NEXECUTIONTIME_PCTILE_5 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NEXECUTIONTIME_PCTILE,'$[*]?(@.key == 5).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NEXECUTIONTIME_PCTILE_50 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NEXECUTIONTIME_PCTILE,'$[*]?(@.key == 50).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL,
  NEXECUTIONTIME_PCTILE_95 NUMBER GENERATED ALWAYS AS (
    JSON_VALUE(NEXECUTIONTIME_PCTILE,'$[*]?(@.key == 95).value[0]' RETURNING NUMBER NULL ON EMPTY NULL ON ERROR)
  ) VIRTUAL
);
